org.apache.poi.xddf.usermodel.chart

## Class XDDFChartData.Series

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartData.Series

- Direct Known Subclasses:
    XDDFArea3DChartData.Series, XDDFAreaChartData.Series, XDDFBar3DChartData.Series, XDDFBarChartData.Series, XDDFDoughnutChartData.Series, XDDFLine3DChartData.Series, XDDFLineChartData.Series, XDDFPie3DChartData.Series, XDDFPieChartData.Series, XDDFRadarChartData.Series, XDDFScatterChartData.Series, XDDFSurface3DChartData.Series, XDDFSurfaceChartData.Series
  Enclosing class:
    XDDFChartData

      public abstract class XDDFChartData.Series
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XDDFDataSource<?>` | `categoryData`
    `protected XDDFNumericalDataSource<? extends java.lang.Number>` | `valuesData`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Series(XDDFDataSource<?> category, XDDFNumericalDataSource<? extends java.lang.Number> values)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource` | `getAxDS()`
    `XDDFDataSource<?>` | `getCategoryData()`
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource` | `getNumDS()`
    `protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx` | `getSeriesText()`
    `abstract XDDFShapeProperties` | `getShapeProperties()`
    `XDDFNumericalDataSource<? extends java.lang.Number>` | `getValuesData()`
    `void` | `plot()`
    `void` | `replaceData(XDDFDataSource<?> category, XDDFNumericalDataSource<? extends java.lang.Number> values)`
    `void` | `setFillProperties(XDDFFillProperties fill)`
    `protected abstract void` | `setIndex(long index)`
    `void` | `setLineProperties(XDDFLineProperties line)`
    `protected abstract void` | `setOrder(long order)`
    `abstract void` | `setShapeProperties(XDDFShapeProperties properties)`
    `abstract void` | `setShowLeaderLines(boolean showLeaderLines)`
    `void` | `setTitle(java.lang.String title, CellReference titleRef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### categoryData

          protected XDDFDataSource<?> categoryData

    - #### valuesData

          protected XDDFNumericalDataSource<? extends java.lang.Number> valuesData

  - ### Constructor Detail

    - #### Series

          protected Series(XDDFDataSource<?> category,
                           XDDFNumericalDataSource<? extends java.lang.Number> values)

  - ### Method Detail

    - #### getSeriesText

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx getSeriesText()

    - #### setShowLeaderLines

          public abstract void setShowLeaderLines(boolean showLeaderLines)

    - #### getShapeProperties

          public abstract XDDFShapeProperties getShapeProperties()

    - #### setShapeProperties

          public abstract void setShapeProperties(XDDFShapeProperties properties)

    - #### getAxDS

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTAxDataSource getAxDS()

    - #### getNumDS

          protected abstract org.openxmlformats.schemas.drawingml.x2006.chart.CTNumDataSource getNumDS()

    - #### setIndex

          protected abstract void setIndex(long index)

    - #### setOrder

          protected abstract void setOrder(long order)

    - #### replaceData

          public void replaceData(XDDFDataSource<?> category,
                                  XDDFNumericalDataSource<? extends java.lang.Number> values)

    - #### setTitle

          public void setTitle(java.lang.String title,
                               CellReference titleRef)

    - #### getCategoryData

          public XDDFDataSource<?> getCategoryData()

    - #### getValuesData

          public XDDFNumericalDataSource<? extends java.lang.Number> getValuesData()

    - #### plot

          public void plot()

    - #### setFillProperties

          public void setFillProperties(XDDFFillProperties fill)

      Parameters:
        `fill` - fill property for the shape representing the series.
      Since:
        POI 4.1.1

    - #### setLineProperties

          public void setLineProperties(XDDFLineProperties line)

      Parameters:
        `line` - line property for the shape representing the series.
      Since:
        POI 4.1.1

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.